libzypp 17.37.10

RpmDb.cc File Reference
`#include "librpm.h"`
`#include <rpm/rpmcli.h>`
`#include <rpm/rpmlog.h>`
`#include <cstdlib>`
`#include <cstdio>`
`#include <ctime>`
`#include <iostream>`
`#include <fstream>`
`#include <sstream>`
`#include <list>`
`#include <map>`
`#include <set>`
`#include <string>`
`#include <utility>`
`#include <vector>`
`#include <algorithm>`
`#include <zypp-core/base/StringV.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Gettext.h>`
`#include <zypp/base/LocaleGuard.h>`
`#include <zypp-core/base/DtorReset>`
`#include <zypp/Date.h>`
`#include <zypp/Pathname.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp-common/PublicKey.h>`
`#include <zypp-core/ui/ProgressData>`
`#include <zypp/target/rpm/RpmDb.h>`
`#include <zypp/target/rpm/RpmCallbacks.h>`
`#include <zypp/target/RpmPostTransCollector.h>`
`#include <zypp/HistoryLog.h>`
`#include <zypp/target/rpm/librpmDb.h>`
`#include <zypp/target/rpm/RpmException.h>`
`#include <zypp/TmpPath.h>`
`#include <zypp/KeyRing.h>`
`#include <zypp-common/KeyManager.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/base/IOTools.h>`

Go to the source code of this file.

## Classes
struct | zypp::target::rpm::KeyRingSignalReceiver

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::zypp_readonly_hack
namespace | zypp::env
| Namespace intended to collect all environment variables we use.
namespace | zypp::target
namespace | zypp::target::rpm

## Macros
#define | WARNINGMAILPATH "/var/log/YaST2/"
#define | FILEFORBACKUPFILES "YaSTBackupModifiedFiles"
#define | MAXRPMMESSAGELINES 10000
#define | WORKAROUNDRPMPWDBUG
#define | ZYPP_BASE_LOGGER_LOGGROUP "librpmDb"
#define | FAILIFNOTINITIALIZED if( ! initialized() ) { ZYPP_THROW(RpmDbNotOpenException()); }
#define | OUTS(E, S)

## Functions
bool | zypp::zypp_readonly_hack::IGotIt ()
bool | zypp::env::ZYPP_RPM_DEBUG ()
unsigned | zypp::target::rpm::diffFiles (const std::string &file1, const std::string &file2, std::string &out, int maxlines)
std::ostream & | zypp::target::rpm::operator<< (std::ostream &str, RpmDb::CheckPackageResult obj)
std::ostream & | zypp::target::rpm::operator<< (std::ostream &str, const RpmDb::CheckPackageDetail &obj)

## Variables
static shared_ptr< KeyRingSignalReceiver > | zypp::target::rpm::sKeyRingReceiver

## Macro Definition Documentation

## ◆ WARNINGMAILPATH

#define WARNINGMAILPATH "/var/log/YaST2/"

Definition at line 63 of file RpmDb.cc.

## ◆ FILEFORBACKUPFILES

#define FILEFORBACKUPFILES "YaSTBackupModifiedFiles"

Definition at line 64 of file RpmDb.cc.

## ◆ MAXRPMMESSAGELINES

#define MAXRPMMESSAGELINES 10000

Definition at line 65 of file RpmDb.cc.

## ◆ WORKAROUNDRPMPWDBUG

#define WORKAROUNDRPMPWDBUG

Definition at line 67 of file RpmDb.cc.

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "librpmDb"

Definition at line 70 of file RpmDb.cc.

## ◆ FAILIFNOTINITIALIZED

#define FAILIFNOTINITIALIZED if( ! initialized() ) { ZYPP_THROW(RpmDbNotOpenException()); }

Definition at line 194 of file RpmDb.cc.

## ◆ OUTS

#define OUTS | ( |  | E,
|  |  | S )

Value:
case RpmDb::E: return str << "["<< (unsigned)obj << "-"<< S << "]"; break
str
String related utilities and Regular expression matching.